package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"],
        beego.ControllerComments{
            Method: "GetAnalystByName",
            Router: `/analyst`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("AnalystName"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:AnalystController"],
        beego.ControllerComments{
            Method: "UploadImage",
            Router: `/uploadImage`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:FeedBackController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:FeedBackController"],
        beego.ControllerComments{
            Method: "FeedBackList",
            Router: `/feedBackList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Author",
            Router: `/author`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "PublishCancel",
            Router: `/publishCancel`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "UploadAudio",
            Router: `/uploadFile`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("mediaType"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "UploadVideo",
            Router: `/uploadFile`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("mediaType"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:MediaController"],
        beego.ControllerComments{
            Method: "UploadPdf",
            Router: `/uploadPdf`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "SetSort",
            Router: `/set_sort`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysMessageReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysMessageReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysMessageReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysMessageReportController"],
        beego.ControllerComments{
            Method: "Read",
            Router: `/read`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "AllList",
            Router: `/allList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysRoleMenuAuthList",
            Router: `/menu/auth_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysRoleMenuAuthSave",
            Router: `/menu/auth_save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "ButtonList",
            Router: `/menu/buttons`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysMenuList",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "EditEnabled",
            Router: `/editEnabled`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "MoveToDepartment",
            Router: `/moveToDepartment`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "ResetMyPass",
            Router: `/reset_my_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "ResetPass",
            Router: `/reset_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "ChangeList",
            Router: `/change_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "Check",
            Router: `/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "EditEnabled",
            Router: `/editEnabled`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "GlobalSearch",
            Router: `/global/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "PotentialEdit",
            Router: `/potential/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "PotentialList",
            Router: `/potential/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserController"],
        beego.ControllerComments{
            Method: "TemplateList",
            Router: `/temporary/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "AreaCodeList",
            Router: `/area_code/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"],
        beego.ControllerComments{
            Method: "ReadCntChart",
            Router: `/readCntChart`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"] = append(beego.GlobalControllerRouter["eta/eta_mini_crm_ht/controllers:UserReadRecordController"],
        beego.ControllerComments{
            Method: "ReadPermissionChart",
            Router: `/readPermissionChart`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
